# This spec is backported to ALTLinux 4.1 automatically by rpmbph script. Do not edit it.
#
%define ver_major 2.22

Name: gnome-menus
Version: %ver_major.2
Release: alt0.M41.1

Summary: GNOME desktop menu
License: GPLv2+
Group: Graphical desktop/GNOME
Url: http://www.gnome.org
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2
Patch1: %name-2.14-alt-add-config-dir.patch
Patch2: %name-alt-applications-menu.patch

# From configure.in
%define glib_ver 2.6.0
%define gio_ver 2.15.2

Requires: altlinux-menus

BuildPreReq: rpm-build-gnome

# From configure.in
BuildPreReq: intltool >= 0.35
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgio-devel >= %gio_ver
BuildPreReq: python-devel

BuildRequires: gcc-c++ perl-XML-Parser

BuildRequires: rpm-build-compat >= 0.95

%description
The package contains an implementation of the draft "Desktop Menu
Specification" from http://www.freedesktop.org/Standards/menu-spec/

%package -n lib%name
Summary: Desktop Menu Library for GNOME
License: LGPLv2+
Group: System/Libraries

%description -n lib%name
This package provides Desktop Menu Library for GNOME.

%package -n lib%name-devel
Summary: Development files for GNOME Desktop Menu Library
License: LGPLv2+
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package provides files required to develop programs that use
Desktop Menu Library.

%setup_python_module %name
%package -n python-module-%name
Summary: Python bindings for %name
Group: Development/Python
Autoreq: yes
Requires: %name = %version-%release

%description -n python-module-%name
This package contains files that are needed to work with GNOME menus from
Python.

%package -n gnome-menu-editor
Summary: A simple GNOME menu editor
Group: Graphical desktop/GNOME

%description -n gnome-menu-editor
This package contains a simple GNOME menu editor.

%prep
%setup -q
%patch1
%patch2 -p1

# Link with current python
sed -i -e 's,^\(gmenu_la_LIBADD  = $(GLIB_LIBS) $(top_builddir)/libmenu/libgnome-menu.la\),\1 -lpython%__python_version,g' python/Makefile.am
sed -i -e 's,^\(gmenu_la_LIBADD = $(GLIB_LIBS) $(top_builddir)/libmenu/libgnome-menu.la\),\1 -lpython%__python_version,g' python/Makefile.in

%build
%configure \
    --enable-python \
    --disable-static

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%__install -pD -m644 %buildroot%_sysconfdir/xdg/menus/applications.menu \
%buildroot%_sysconfdir/gnome/xdg/menus/applications-merged/applications.menu

%find_lang %name

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%_datadir/desktop-directories/*
%dir %_sysconfdir/gnome/
%dir %_sysconfdir/gnome/xdg/
%dir %_sysconfdir/gnome/xdg/menus/
%dir %_sysconfdir/gnome/xdg/menus/applications-merged/
%config %_sysconfdir/gnome/xdg/menus/applications-merged/applications.menu
%config %_sysconfdir/xdg/menus/preferences.menu
%config %_sysconfdir/xdg/menus/settings.menu
%doc AUTHORS ChangeLog NEWS README

%exclude %_sysconfdir/xdg/menus/applications.menu

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
#%_bindir/gnome-menu-spec-test
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*

%files -n python-module-%name
%python_sitelibdir/gmenu.so

%exclude %python_sitelibdir/gmenu.la

%define editor_name gmenu-simple-editor

%files -n gnome-menu-editor
%_bindir/%editor_name
%_datadir/applications/%editor_name.desktop
%_datadir/gnome-menus/glade/%editor_name.glade
%python_sitelibdir/GMenuSimpleEditor/*

%changelog
* Thu Aug 07 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.2-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Fri May 30 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.2-alt1
- 2.22.2

* Mon Apr 14 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.1-alt2
- cleanup merging entries (fix #8738 - patch2)

* Tue Apr 08 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.1-alt1
- 2.22.1

* Mon Mar 17 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1.1
- build for Sisyphus

* Fri Mar 14 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1
- 2.22.0

* Sun Mar 09 2008 Alexey Shabalin <shaba@altlinux.ru> 2.21.92-alt1
- new version (2.21.92)
- updated dependencies
- fix link with current python
- use gio for file monitoring (upstream drop support notify, gamin or fam)

* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 2.20.2-alt1.1
- Rebuilt with python-2.5.

* Tue Dec 04 2007 Alexey Shabalin <shaba@altlinux.ru> 2.20.2-alt1
- new version (2.20.2)

* Thu Nov 22 2007 Alexey Shabalin <shaba@altlinux.ru> 2.20.1-alt1
- new version (2.20.1)
- add Packager

* Fri Jul 06 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.3-alt1
- new version (2.18.3)

* Sat Jun 30 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.2-alt1
- new version (2.18.2)
- updated dependencies, removed unneeded Requires
- use a macro for GNOME FTP site

* Sun Jun 10 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.0-alt1
- new version (2.18.0)
- spec cleanup
- added --enable-inotify switch to the configure script
- removed 'enable_python' switch, Python bindings and a menu editor are always
  built and go to their respective subpackages.

* Sat Sep 23 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version (2.16.0)
- added back-compatibility directories in /usr/share/gnome/

* Mon Sep 04 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.91-alt2
- replaced python-dev with python-devel, as told by ALT Python policy.
- fixed Group of python module subpackage, to comply with the policy.

* Sun Aug 20 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.91-alt1
- new version (2.15.91)

* Wed Jun 14 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.0-alt1
- new version
- applied changes from the bug #9592.

* Wed Jan 18 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.5-alt1
- new version
- removed gnome-applications.menu file due to Bug #8866.
- introduced fam and gamin switches
- introduced a python bindings package and a menu editor package (both optional and disabled by default).

* Sat Sep 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0

* Fri Sep 02 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.11.92-alt1
- 2.11.92

* Sat Jul 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.2-alt1
- 2.10.2

* Thu Mar 24 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1 release.
- hack to use *-gnome-merged as a DefaultMergeDirs.
- *LegacyDirs removed everywhere.
- ALT Linux applications menu merged with original GNOME menu.
- requires altlinux-menus.

* Thu Mar 17 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt0.1
- build current cvs snapshot.
- remove applications.menu we have it in altlinux-menus.

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Tue Mar 01 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.92-alt1
- 2.9.92

* Mon Jan 31 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.90-alt1
- First build for Sisyphus.

